package net.knarcraft.dynmapcitizens.property;

/**
 * Every icon type used
 */
public enum Icon {

    /**
     * An icon representing a quest giver
     */
    QUEST_GIVER,

    /**
     * An icon representing an interact-able NPC part of some quest
     */
    QUEST_INTERACT,

    /**
     * An icon representing an NPC to be killed as part of a quest
     */
    QUEST_KILL,

    /**
     * An icon representing an NPC taking deliveries as part of a quest
     */
    QUEST_DELIVER,

    /**
     * An icon representing an NPC part of a quest chain
     */
    QUEST_CHAIN,

    /**
     * An icon representing a sentinel NPC
     */
    SENTINEL,

    /**
     * An icon representing a blacksmith NPC
     */
    BLACKSMITH,

    /**
     * An icon representing a minstrel NPC
     */
    MINSTREL,

    /**
     * An icon representing a trader NPC
     */
    TRADER,

}
